%global modulename ignore

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-ignore
Version:        5.0.4
Release:        1%{?dist}
Summary:        Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.

License:        MIT
URL:            https://github.com/kaelzhang/node-ignore#readme
Source0:        https://registry.npmjs.org/ignore/-/ignore-5.0.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.

%package 5.0.4
Summary:        Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.


%description 5.0.4
Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr legacy.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE-MIT
%{nodejs_dir}/%{modulename}

%files 5.0.4
%doc CHANGELOG.md
%doc README.md
%license LICENSE-MIT
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 5.0.4-1
- Package automatically generated by npm2srpm
